#   Copyright 2018-2021 The University of Birmingham
#
#   Licensed under the Apache License, Version 2.0 (the "License");
#   you may not use this file except in compliance with the License.
#   You may obtain a copy of the License at
#
#       http://www.apache.org/licenses/LICENSE-2.0
#
#   Unless required by applicable law or agreed to in writing, software
#   distributed under the License is distributed on an "AS IS" BASIS,
#   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#   See the License for the specific language governing permissions and
#   limitations under the License.

### Hog .gitignore ###
# The following two lines assume that you have your IPs like this: IP/<ip name>/<ip name>.xci
# If you have a more complex subdirectory structure please make sure that:
# - the last subdirectory has the same name as the IP and that
# - only .xci files are committed.
#
IP/*/*
!IP/*/*.xci

BD/*
!BD/*.bd

## OS
.DS_Store
.DS_Store?
.Trashes
**.Trashes
ehthumbs.db
Thumbs.db

## MISCELLANEA
**.tmp
!/.gitignore
bin
gitk
*~
**.pyc
Doc/*
**.log

## CERNbox
._*
**._*

## Sigasi Studio
.library_mapping.xml
.project
.settings

## Xilinx Vivado
**.str
**.jou
.Xil/
.Xilinx/
Projects/
output/
lastbuilt.txt
credentials.sh
VivadoProject
SimulationLib
profpga

## Intel Quartus Prime
Projects
SimulationLib_quartus
*.bak

## Software building
**.depend
**.layout
**.o
bin*/
obj/
compile*
*.out

## ModelSim, UVVM
transcript*
work/
.cxl*
# .cxl.modelsim.version # .cxl.ip/
_Alert.txt
_Log.txt
_info
**.mti
**.mtp
**.mpf
**.wlf
**.ini
**.qdb
**.qpg
**.qtl

Firmware/Kintex/bd/template/IP_blob/*
!Firmware/Kintex/bd/template/IP_blob/IP_blob.bd
